# Generated from api_batch-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name api_batch

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: API Batch adds batch call functionality to rails api's allowing a single batch http request to perform multiple api requests in one visit to the server
License: MIT
URL: https://github.com/vaughanbrittonsage/api_batch
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
API Batch adds batch call functionality to rails api's allowing a single batch
http request to perform multiple api requests in one visit to the server.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/api_batch.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.1-1
- Initial package
